#!/bin/sh

# load settings...
. /usr/gp2x/nandcfg.sh

# unmount nand
if test "`mount | grep "/mnt/nand"`"; then
	echo "Unmount nand directory, if mounted..."
	umount ${MOUNT}
fi

# unmount real nand
if test "`mount | grep "/mnt/yaffs"`"; then
	echo "Unmount image directory, if mounted..."
	umount /mnt/yaffs
fi

# format mtd ext block
echo "Format NAND storage..."
mkyaffs /dev/mtd/4

# mount nand storage
echo "Mount image directory..."
mount ${IMGDIR}

# build image
dd bs=1M count=30 if=/dev/zero of=${IMAGE}
sfdisk -S8 -H16 -C480 ${IMAGE} < ${FSDUMP}

# loopback device setup
${BINDIR}/nandsetup.sh

# format image
mkdosfs /dev/loop/${LODEV}

# mount nand
mount ${MOUNT}
